Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class EntrySetMapIterator

    java.lang.Object
      org.apache.commons.collections.iterators.EntrySetMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator, ResettableIterator

    public class EntrySetMapIterator

extends java.lang.Object
implements MapIterator, ResettableIterator

Implements a `MapIterator` using a Map entrySet. Reverse iteration is not supported.

     MapIterator it = map.mapIterator();
     while (it.hasNext()) {
       Object key = it.next();
       Object value = it.getValue();
       it.setValue(newValue);
     }

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Constructor Summary
`EntrySetMapIterator(java.util.Map map)` Constructor.

Method Summary
`java.lang.Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`java.lang.Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
`java.lang.Object` | `next()` Gets the next key from the `Map`.
`void` | `remove()` Removes the last returned key from the underlying `Map`.
`void` | `reset()` Resets the state of the iterator.
`java.lang.Object` | `setValue(java.lang.Object value)` Sets the value associated with the current key.
`java.lang.String` | `toString()` Gets the iterator as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntrySetMapIterator

    public EntrySetMapIterator(java.util.Map map)

  Constructor.

  Parameters:
    `map` - the map to iterate over

Method Detail

### hasNext

    public boolean hasNext()

  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public java.lang.Object next()

  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration
  Throws:
    `java.util.NoSuchElementException` - if the iteration is finished

### remove

    public void remove()

  Removes the last returned key from the underlying `Map`.

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `MapIterator`
  Throws:
    `java.lang.UnsupportedOperationException` - if remove is not supported by the map
    `java.lang.IllegalStateException` - if `next()` has not yet been called
    `java.lang.IllegalStateException` - if `remove()` has already been called since the last call to `next()`

### getKey

    public java.lang.Object getKey()

  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key
  Throws:
    `java.lang.IllegalStateException` - if `next()` has not yet been called

### getValue

    public java.lang.Object getValue()

  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value
  Throws:
    `java.lang.IllegalStateException` - if `next()` has not yet been called

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Sets the value associated with the current key.

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value
  Throws:
    `java.lang.UnsupportedOperationException` - if setValue is not supported by the map
    `java.lang.IllegalStateException` - if `next()` has not yet been called
    `java.lang.IllegalStateException` - if `remove()` has been called since the last call to `next()`

### reset

    public void reset()

  Resets the state of the iterator.

  Specified by:
    `reset` in interface `ResettableIterator`

### toString

    public java.lang.String toString()

  Gets the iterator as a String.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string version of the iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.